import { Component } from "@angular/core";
import { NavController, NavParams, ActionSheetController } from "ionic-angular";

import { BaseListView } from "../../base/base-list-view";

import { Customer } from '../../odoo/models/customer';
import { ListPageComponent } from '../../components/list-page/list-page';

@Component({
    selector: 'page-customers',
    templateUrl: 'customers.html'
})
export class CustomersPage extends ListPageComponent<Customer> {

    constructor(
        public navCtrl: NavController,
        public navParams: NavParams,
        public actionSheetCtrl: ActionSheetController
    ) {
        super(Customer, ["customer", "=", true]);
     }

    ionViewDidLoad() {
        console.log('ionViewDidLoad CustomersPage');
    }

    ionViewDidEnter() {
        super.initialize();
    }
}